---
# generated by https://github.com/hashicorp/terraform-plugin-docs
page_title: "tor_family_identity Resource - tor"
subcategory: ""
description: |-
  Generates a Tor family identity key as described in proposal 321 (Happy Families).
  References
  https://community.torproject.org/relay/setup/post-install/family-ids/https://gitlab.torproject.org/tpo/core/torspec/-/blob/main/proposals/321-happy-families.md
---

# tor_family_identity (Resource)

Generates a Tor family identity key as described in proposal 321 (Happy Families).

### References
- https://community.torproject.org/relay/setup/post-install/family-ids/
- https://gitlab.torproject.org/tpo/core/torspec/-/blob/main/proposals/321-happy-families.md

## Example Usage

```terraform
resource "tor_family_identity" "example" {
  family_name = "MyFamily"
}


resource "local_sensitive_file" "family_key" {
  content_base64 = tor_family_identity.example.secret_key
  filename       = "MyFamily.secret_family_key"
}

resource "local_file" "torrc" {
  filename = "./torrc"
  content  = <<EOF
FamilyId ${tor_family_identity.example.id}
... other torrc configuration ...
EOF
}
```

<!-- schema generated by tfplugindocs -->
## Schema

### Required

- `family_name` (String) Name of the family

### Read-Only

- `id` (String) Base64-encoded public key (as stored in public_family_id file)
- `secret_key` (String, Sensitive) Binary contents of the secret family key file (base64 encoded)
