# End-to-End Testing

This directory contains a complete end-to-end test setup for the terraform-provider-tor.

## Quick Start

1. **Setup development environment:**
   ```bash
   ./setup-dev.sh
   ```
   This script will:
   - Create local `.terraformrc` with dev overrides (no global config changes)
   - Build and install the provider locally

2. **Run the test:**
   ```bash
   ./tf plan
   ./tf apply
   ```
   
   Or using the full command:
   ```bash
   TF_CLI_CONFIG_FILE=.terraformrc terraform plan
   TF_CLI_CONFIG_FILE=.terraformrc terraform apply
   ```
   
   Note: Skip `terraform init` when using dev overrides - it's not needed and may cause errors.

3. **Clean up:**
   ```bash
   ./tf destroy
   ```

## Troubleshooting

If you encounter issues:

1. **Provider not found**: Run `./setup-dev.sh` again
2. **Build errors**: Check that Go >= 1.23 is installed
3. **Permission errors**: Ensure the setup script is executable

## Resetting

To reset your Terraform configuration:
```bash
rm -rf .terraform/ .terraform.lock.hcl terraform.tfstate*
```

Then run the setup and init process again.
