# Terraform Provider for Tor Examples

This directory contains example configurations for the Terraform provider for Tor bridges.

## Examples

### Complete Workflow
- `provider/provider.tf` - Complete bridge deployment example with all resources

### Individual Resources
- `resources/tor_relay_identity_rsa/` - RSA identity key generation
- `resources/tor_relay_identity_ed25519/` - Ed25519 identity key generation  
- `resources/tor_obfs4_state/` - obfs4 state generation

### Data Sources
- `data-sources/tor_obfs4_bridge_line/` - Bridge line generation from components

## Usage

Each example can be run independently:

```bash
cd examples/provider
terraform init
terraform plan
terraform apply
```

The complete workflow example in `provider/` demonstrates how all resources work together to create a fully configured bridge with generated bridge line for client distribution.