terraform {
  required_providers {
    tor = {
      source = "guardianproject/tor"
    }
  }
}

provider "tor" {}

# Example: Generate Ed25519 identity key for Tor relay
resource "tor_relay_identity_ed25519" "example" {}

output "private_key_pem" {
  description = "Ed25519 private key in PEM format"
  value       = tor_relay_identity_ed25519.example.private_key_pem
  sensitive   = true
}

output "public_key_pem" {
  description = "Ed25519 public key in PEM format"
  value       = tor_relay_identity_ed25519.example.public_key_pem
}


output "public_key_fingerprint_sha256" {
  description = "SHA256 fingerprint of the Ed25519 public key"
  value       = tor_relay_identity_ed25519.example.public_key_fingerprint_sha256
}