# Copyright (c) Abel Luck <abel@guardianproject.info>
# SPDX-License-Identifier: GPL-3.0-or-later

terraform {
  required_providers {
    tor = {
      source = "guardianproject/tor"
    }
  }
}

provider "tor" {}

# Example: Generate RSA identity key for Tor relay
resource "tor_relay_identity_rsa" "example" {}

output "private_key_pem" {
  description = "RSA private key in PEM format"
  value       = tor_relay_identity_rsa.example.private_key_pem
  sensitive   = true
}

output "public_key_pem" {
  description = "RSA public key in PEM format"
  value       = tor_relay_identity_rsa.example.public_key_pem
}

output "public_key_fingerprint_sha1" {
  description = "SHA1 fingerprint of the RSA public key"
  value       = tor_relay_identity_rsa.example.public_key_fingerprint_sha1
}

output "public_key_fingerprint_sha256" {
  description = "SHA256 fingerprint of the RSA public key"
  value       = tor_relay_identity_rsa.example.public_key_fingerprint_sha256
}